org.richfaces.renderkit.html

## Class AccordionRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.DivPanelRenderer
      - - org.richfaces.renderkit.html.TogglePanelRenderer
        - - org.richfaces.renderkit.html.AccordionRenderer

- All Implemented Interfaces:
    MetaComponentRenderer

      public class AccordionRenderer
      extends TogglePanelRenderer

  Author:
    akolonitsky

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.html.TogglePanelRenderer

      `BEFORE_ITEM_CHANGE, ITEM_CHANGE, VALUE_POSTFIX`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccordionRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
    `protected JSObject` | `getScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected Map<String,Object>` | `getScriptObjectOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected String` | `getStyle(javax.faces.component.UIComponent component)`
    `protected String` | `getStyleClass(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.html.TogglePanelRenderer

      `addEventOption, decodeMetaComponent, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeMetaComponent, getAjaxOptions, isSubmitted, partialEnd, partialStart`

    - ### Methods inherited from class org.richfaces.renderkit.html.DivPanelRenderer

      `addOnCompleteParam, addOnCompleteParam, attributeAsString, attributeAsString, attributeAsStyle, attributeAsStyle, capitalize, doEncodeItemBegin, doEncodeItemEnd, getPassThroughAttributes, styleElement, writeJavaScript`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccordionRenderer

          public AccordionRenderer()

  - ### Method Detail

    - #### getStyle

          protected String getStyle(javax.faces.component.UIComponent component)

      Overrides:
        `getStyle` in class `DivPanelRenderer`

    - #### getStyleClass

          protected String getStyleClass(javax.faces.component.UIComponent component)

      Overrides:
        `getStyleClass` in class `TogglePanelRenderer`

    - #### getComponentClass

          protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Description copied from class: `RendererBase`
      Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.
      Overrides:
        `getComponentClass` in class `TogglePanelRenderer`
      Returns:

    - #### getScriptObject

          protected JSObject getScriptObject(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)

      Overrides:
        `getScriptObject` in class `TogglePanelRenderer`

    - #### getScriptObjectOptions

          protected Map<String,Object> getScriptObjectOptions(javax.faces.context.FacesContext context,
                                                  javax.faces.component.UIComponent component)

      Overrides:
        `getScriptObjectOptions` in class `TogglePanelRenderer`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.